ownCloud source for Debian
==========================

As the ownCloud source is constructed so that it can put in a directory and
is ready to run, it contains both source and compiled/compressed parts.
Additionally does the source contain third party libraries which have
various licenses.

First of all, upstream source is cleaned by removing minified JavaScript files
without source and other incompatible material. Cleaned source has "dfsg" as
suffix. It’s handled with debian/rules get-orig-source target.

Additionally, the debian/rules build instructions will ensure that only the
necessary parts of the source are installed as follows:

* third party PHP code that is available via other Debian packages is removed,
* superfluous licenses are removed (as they are documented in debian/copyright),
* other superfluous files such as text files, source code and unused scripts
  are not installed
* minified JavaScript libraries are regenerated from source and then the
  source is removed,
* JavaScript libraries that are available via Debian are used (using symlinks).


The source package is also repacked to strip away copyrighted ICC profiles

First, they have to be found, using, e.g.:

	find . -regextype posix-extended -iregex '.*\.(jpg|png)' \
		-exec sh -c 'identify -verbose "$0" \
		| grep -i copyright && echo "$0"' {} \;

Then the ICC profiles can be stripped away, e.g.:

	exiftool -icc_profile"-<=" core/skeleton/photos/*

The modification are being made in the upstream branch, and the
--git-pristine-tar and --git-pristine-tar-commit switches of
gbp buildpackage can be used to generate the appropriate tarball.

All this can be forgotten once upstream fixes the file, as requested:

	https://github.com/owncloud/core/issues/8627
